Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gnome-themes-standard is blocking gtk-engines-adwaita
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
peter4
Guru
Guru


Joined: 19 Jul 2005
Posts: 359
Location: Wroclaw, Poland

PostPosted: Sun Oct 09, 2016 10:11 am    Post subject: gnome-themes-standard is blocking gtk-engines-adwaita Reply with quote

Code:
[blocks B      ] <x11-themes/gnome-themes-standard-3.20.2-r1 ("<x11-themes/gnome-themes-standard-3.20.2-r1" is blocking x11-themes/gtk-engines-adwaita-3.20.2)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (x11-themes/gtk-engines-adwaita-3.20.2:0/0::gentoo, ebuild scheduled for merge) pulled in by
    x11-themes/gtk-engines-adwaita required by (x11-libs/gtk+-2.24.31-r1:2/2::gentoo, ebuild scheduled for merge)

  (x11-themes/gnome-themes-standard-3.20.2:0/0::gentoo, installed) pulled in by
    x11-themes/gnome-themes-standard required by (x11-libs/gtk+-2.24.31-r1:2/2::gentoo, ebuild scheduled for merge)
    x11-themes/gnome-themes-standard[gtk] required by (gnome-extra/cinnamon-3.0.7:0/0::gentoo, installed)



Am I reading this correctly? gtk+ depends on both gtk-engines-adwaita and gnome-themes-standard and they block each other? What am I missing?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 15053
Location: here

PostPosted: Sun Oct 09, 2016 12:07 pm    Post subject: Reply with quote

The problem is that gnome-extra/cinnamon-3.0.7 package need x11-themes/gnome-themes-standard package with gtk use flag, but =x11-themes/gnome-themes-standard-3.20.2-r1 has not gtk use flag (only <x11-themes/gnome-themes-standard-3.20.2-r1 has this use flag).
Exists a bug
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
pking
n00b
n00b


Joined: 11 Sep 2009
Posts: 57

PostPosted: Sun Oct 09, 2016 4:03 pm    Post subject: Reply with quote

While cinnamon may be a problem, I seem to have the conflict in a more pure form:

Code:

[blocks B      ] <x11-themes/gnome-themes-standard-3.20.2-r1 ("<x11-themes/gnome-themes-standard-3.20.2-r1" is blocking x11-themes/gtk-engines-adwaita-3.20.2)

Total: 4 packages (1 upgrade, 3 new), Size of downloads: 3,375 KiB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (x11-themes/gtk-engines-adwaita-3.20.2:0/0::gentoo, ebuild scheduled for merge) pulled in by
    x11-themes/gtk-engines-adwaita required by (x11-libs/gtk+-2.24.31-r1:2/2::gentoo, ebuild scheduled for merge)

  (x11-themes/gnome-themes-standard-3.20.2:0/0::gentoo, ebuild scheduled for merge) pulled in by
    x11-themes/gnome-themes-standard required by (x11-libs/gtk+-2.24.31-r1:2/2::gentoo, ebuild scheduled for merge)



It looks like gtk+-2.24.31-r1 pulls in both gtk-engines-adwaita and gnomes themes-standard, which conflict. So it's more than a problem with cinnamon, I think.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 15053
Location: here

PostPosted: Sun Oct 09, 2016 4:23 pm    Post subject: Reply with quote

Try with command
Code:
# emerge -1a =x11-themes/gnome-themes-standard-3.20.2-r1 =x11-themes/gtk-engines-adwaita-3.20.2

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
furanku
l33t
l33t


Joined: 08 May 2003
Posts: 892
Location: Hamburg, Germany

PostPosted: Tue Oct 11, 2016 4:20 pm    Post subject: Reply with quote

Does not work:
Code:
# emerge -1a =x11-themes/gnome-themes-standard-3.20.2-r1 =x11-themes/gtk-engines-adwaita-3.20.2

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] x11-themes/gnome-themes-standard-3.20.2-r1 [3.20.2]
[ebuild  N     ] x11-themes/gtk-engines-adwaita-3.20.2  ABI_X86="(64) -32 (-x32)"
[blocks B      ] <x11-themes/gnome-themes-standard-3.20.2-r1 ("<x11-themes/gnome-themes-standard-3.20.2-r1" is blocking x11-themes/gtk-engines-adwaita-3.20.2)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-themes/gnome-themes-standard:0

  (x11-themes/gnome-themes-standard-3.20.2-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    =x11-themes/gnome-themes-standard-3.20.2-r1 (Argument)

  (x11-themes/gnome-themes-standard-3.20.2:0/0::gentoo, installed) pulled in by
    x11-themes/gnome-themes-standard[gtk] required by (gnome-extra/cinnamon-3.0.7:0/0::gentoo, installed)
                                     ^^^                                                                                                     


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (x11-themes/gtk-engines-adwaita-3.20.2:0/0::gentoo, ebuild scheduled for merge) pulled in by
    =x11-themes/gtk-engines-adwaita-3.20.2


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 15053
Location: here

PostPosted: Tue Oct 11, 2016 4:49 pm    Post subject: Reply with quote

You can try to add x11-themes/gnome-themes-standard-3.20.2 (package requested by cinnamon because has gtk use flag) in package.provided
Code:
# echo "x11-themes/gnome-themes-standard-3.20.2" >> /etc/portage/profile/package.provided

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
furanku
l33t
l33t


Joined: 08 May 2003
Posts: 892
Location: Hamburg, Germany

PostPosted: Tue Oct 11, 2016 4:54 pm    Post subject: Reply with quote

Thanks fedeliallalinea, that worked!
Back to top
View user's profile Send private message
pking
n00b
n00b


Joined: 11 Sep 2009
Posts: 57

PostPosted: Sat Oct 15, 2016 3:57 am    Post subject: Reply with quote

That worked for me, too. Thanks!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum